Bug 455941 - RFE: Update libical to 0.31 for Fedora 9, 10
RFE: Update libical to 0.31 for Fedora 9, 10
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libical (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-18 18:10 EDT by Jeff Perry
Modified: 2009-05-22 12:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-09 13:36:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Perry 2008-07-18 18:10:47 EDT
** This is my first package and I am seeking a sponsor

NOTE: I began work on this a few weeks ago (when it was still orphaned) - since then it has been claimed. I am submitting this with the hope that the new owner (rishi) and potential sponsors will still review it and give me some feedback and credit and possibly sponsor me.

Spec URL: http://www.sourcesink.com/www/fedora/libical.spec
SRPM URL: http://www.sourcesink.com/www/fedora/libical-0.31-1.fc9.src.rpm

Description: 
Reference implementation of the iCalendar data type and serialization format

This is an update to the existing libical package.

Previous version: 0.30
This version: 0.31

Spec file has gone through careful review to meet the guidelines of the Fedora project. I noticed a few things which were not proper during the process.

rpmlint shows now warnings or errors for both the spec file and all 3 generated
binary rpms.

The tar file included is NOT the same as the one on the sourceforge site YET.
The only difference is the removal of the .cvsingore files which were causing 
rpmlint warnings. I have communicated this change to the co-maintainers of libical (yesterday) and sent them a link to the new file. I am hoping they will choose to update sourceforge with the new tar ball.

Testing:

 Local mock builds on my own machine targeting Fedora 9 and Fedora 10 
 succeed

 Koji builds of all platforms for targets Fedora 9 and Fedora 10 succeed.

 Local build of osmo (osmo is the only Fedora 9 pkg to declare a
    dependency on libical) - There is a known run-time issue though
    (I have notified the Osmo owners and osmo pkg owner: rishi) 
    This issue is fixed in SVN according to the owner of the code
    The code is going into freeze and there will be a new release shortly

 Local build of citadel (an bbs/forum application)
    Citadel has no rpm in fedora repositories but it does use libical
    Buildinf Citadel succeeds - did a quick install and seems to function
    Did not do extensive testing but did communicate with the citadel 
    maintainers (the same ones who maintain libical) and they indicated
    that the code should be fine.

Other interested parties:
    A number of other projects are using libical but have forked the code for
    various reasons. I have contacted the following projects informally on
    irc.

    + Gnome Evolution 
    + Mozilla Thunderbird

    Gnome Evolution (contact through irc, a bug comment and email) has a strong
    interest in going back to depending on the official copy of libical.
  
    The citadel web site lists some other previous users of this library
    that it seems have now forked - I too hope to see a re-merging back
    to one copy of the code.
Comment 1 Debarshi Ray 2008-07-20 23:36:58 EDT
+ This does not follow the standard format for submitting reviews. This is
important since automated scripts parse these bugs.

+ I don't think a review is necessary for libical since it already has a
sponsored owner (ie. me). If you are looking for sponsorship, try reviewing
other review submissions or submit other packages. Once you are done, you can
[co-]maintain libical.
Comment 2 Jeff Perry 2008-07-30 15:34:40 EDT
I did not know that parsing was automated.

My guess is that my comments inserted before the standard template fields may
have broken it.

I followed the docs at: 
http://fedoraproject.org/wiki/PackageMaintainers/Join#Create_Your_Review_Request

These indicated that I needed to fill in a template but I did not notice any
mention of automated processing (I suggest an update to the docs to mention this)
Comment 3 Jeff Perry 2008-07-30 15:36:17 EDT
I notice libical seems to be approved for Fedora 8 and Fedora 9.
Will this also be making it into Fedora 10?
Comment 4 Debarshi Ray 2008-07-30 22:21:04 EDT
It has been tagged and built for Rawhide too, so if not in Fedora 10 Alpha, this
will surely be making it to Fedora 10 gold.
Comment 5 Mamoru TASAKA 2008-08-09 12:02:16 EDT
Changing the component to libical. This is a RFE for F-9 (F-10 has 0.31 libical)
and not a review request.
Comment 6 Debarshi Ray 2008-08-09 13:36:56 EDT
(In reply to comment #5)

Fedora 9 too has 0.31.

Note You need to log in before you can comment on or make changes to this bug.